# IAX2FullFrameCng Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameCng:

[legend]
Collaboration diagram for IAX2FullFrameCng:
[legend]

## Public Member Functions

| IAX2FullFrameCng (const IAX2Frame &srcFrame)
| IAX2FullFrameCng (const IAX2FullFrame &srcFrame)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Class for transfering Cng (comfort noise generation). These frames are sent reliably.

The contents of the data section is message specific

## Constructor & Destructor Documentation

IAX2FullFrameCng::IAX2FullFrameCng | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameCng::IAX2FullFrameCng | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

## Member Function Documentation

virtual BYTE IAX2FullFrameCng::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the IAX2FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameCng::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h